package com.steerinfo.baseinfo.meterbasesubunit.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseSubunit implements IBasePO<String> {
    /**
     * 组件编号(SUBUNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="组件编号",required=true)
    private String subunitNo;

    /**
     * 组件名称(SUBUNIT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="组件名称",required=true)
    private String subunitName;

    /**
     * 组件委托(SUBUNIT_ENTRUST,VARCHAR,200)
     */
    @ApiModelProperty(value="组件委托",required=true)
    private String subunitEntrust;

    /**
     * 组件归属(SUBUNIT_BELONG,VARCHAR,200)
     */
    @ApiModelProperty(value="组件归属",required=true)
    private String subunitBelong;

    /**
     * 组件作用(SUBUNIT_EFFECT,VARCHAR,400)
     */
    @ApiModelProperty(value="组件作用",required=true)
    private String subunitEffect;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.subunitNo;
    }

    @Override
    public void setId(String subunitNo) {
        this.subunitNo = subunitNo == null ? null : subunitNo.trim();
    }

    public String getSubunitNo() {
        return subunitNo;
    }

    public void setSubunitNo(String subunitNo) {
        this.subunitNo = subunitNo == null ? null : subunitNo.trim();
    }

    public String getSubunitName() {
        return subunitName;
    }

    public void setSubunitName(String subunitName) {
        this.subunitName = subunitName == null ? null : subunitName.trim();
    }

    public String getSubunitEntrust() {
        return subunitEntrust;
    }

    public void setSubunitEntrust(String subunitEntrust) {
        this.subunitEntrust = subunitEntrust == null ? null : subunitEntrust.trim();
    }

    public String getSubunitBelong() {
        return subunitBelong;
    }

    public void setSubunitBelong(String subunitBelong) {
        this.subunitBelong = subunitBelong == null ? null : subunitBelong.trim();
    }

    public String getSubunitEffect() {
        return subunitEffect;
    }

    public void setSubunitEffect(String subunitEffect) {
        this.subunitEffect = subunitEffect == null ? null : subunitEffect.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", subunitNo=").append(subunitNo);
        sb.append(", subunitName=").append(subunitName);
        sb.append(", subunitEntrust=").append(subunitEntrust);
        sb.append(", subunitBelong=").append(subunitBelong);
        sb.append(", subunitEffect=").append(subunitEffect);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}